
var bSwitchViews = false;
				
var bStartTableView = false
				
var currModelId = "ID42560";
							
var currModelVersion = "";
						
var currModelName = "Analysis and Design";
			
var currModelType = "IT Service Process";
			 
var currMailAddress = "";
			
var bModInfoWindow = false;
				
var bPrintOne = false;				
				
var bPrintTwo = false;
				
var modInfo = new Array();
		
var overviewimage = new Image();
			
var modelimage68 = new Image();
			
var modelimage45 = new Image();
			
var modelimage90 = new Image();
			
if (!parent.header)
{
	var strPath = top.window.location.href;
	top.location.href= strPath.substring(0, strPath.lastIndexOf("/") + 1) + "../index.html?id=" + currModelId;
}
else
{
	var z = top.header.iZoom;
	checkLoadTableView();
}

function checkLoadTableView()
{
  if (bStartTableView && !parent.header.bModelLoaded)
  {
    top.model.location.href = "../" + currModelId + "/" + currModelId + "t.html"
  }
  else
  {
		overviewimage.src = "../overview/ID42560.png";
			
		if (z == 68) { modelimage68.src = "../images/ado04.png"; }
		else { window.setTimeout("eval(\"modelimage68.src = '../images/ado04.png'\");", 1000); }
			
		if (z == 45) { modelimage45.src = "../images/ado05.png"; }
		else { window.setTimeout("eval(\"modelimage45.src = '../images/ado05.png'\");", 1000); }
			
		if (z == 90) { modelimage90.src = "../images/ado06.png"; }
		else { window.setTimeout("eval(\"modelimage90.src = '../images/ado06.png'\");", 1000); }
			
	}
	parent.header.bModelLoaded = true;
}

function actualizeImageArea()
{
	prepareImageMap();
		
	createImageArea(12.5, 5.3, 14.5, 6.2, "ID63835", "ID42560", "ID63835", "", false);
					
	createImageArea(22.24, 4.800000000000001, 24.76, 7.58, "ID63829", "ID42560", "ID63829", "", false);
					
	createImageArea(22.2, 1.3, 24.8, 4.08, "ID63825", "ID42560", "ID63825", "", false);
					
	createImageArea(17, 4.47, 21.159999999999997, 6.19, "ID63819", "ID42560", "ID63819", "", false);
					
	createImageArea(17, 0.9700000000000001, 21.32, 2.69, "ID63815", "ID42560", "ID63815", "", false);
					
	createImageArea(8.995000000000001, 4.47, 11.785, 6.19, "ID63522", "ID42560", "ID63522", "", false);
					
	createImageArea(4.53, 4.8, 6.47, 8.44, "ID63514", "ID42560", "ID63514", "", false);
					
	createImageArea(45.8, 18.3, 47.2, 19.7, "ID42618", "ID42560", "ID42618", "", false);
					
	createImageArea(43.199999999999996, 18.3, 43.9, 19.7, "ID42611", "ID42560", "ID42611", "", false);
					
	createImageArea(36.11, 20.720000000000002, 40.17, 23.52, "ID42606", "ID42560", "ID42606", "", false);
					
	createImageArea(36.11, 15.72, 40.17, 18.52, "ID42603", "ID42560", "ID42603", "", false);
					
	createImageArea(31.61, 25.220000000000002, 36.91, 28.02, "ID42598", "ID42560", "ID42598", "", false);
					
	createImageArea(32, 18.294999999999998, 34, 20.645, "ID42595", "ID42560", "ID42595", "", false);
					
	createImageArea(27.099999999999998, 18.3, 27.8, 19.7, "ID42591", "ID42560", "ID42591", "", false);
					
	createImageArea(21.11, 18.220000000000002, 25.17, 21.02, "ID42587", "ID42560", "ID42587", "", false);
					
	createImageArea(20.61, 8.219999999999999, 24.67, 11.02, "ID42583", "ID42560", "ID42583", "", false);
					
	createImageArea(16.099999999999998, 12.3, 16.8, 13.7, "ID42578", "ID42560", "ID42578", "", false);
					
	createImageArea(7.66, 12.295, 10.34, 14.645000000000001, "ID42569", "ID42560", "ID42569", "", false);
					
	createImageArea(11.610000000000001, 8.219999999999999, 15.67, 11.02, "ID42566", "ID42560", "ID42566", "", false);
					
	createImageArea(3.3, 12.3, 4.7, 14.219999999999999, "ID42563", "ID42560", "ID42563", "", false);
					
	imageMapsReady();
}
			
			ID42563D='';				
				ID42566D='<span class=\"mov_desc\">This workflow detail is composed of the activities architectural analysis, performed by the architect, and use-case analysis, performed by the designer. Its purpose is to create an initial sketch of the architecture of the system.</span>';				
				ID42569D='';				
				ID42578D='';				
				ID42583D='<span class=\"mov_desc\">This workflow detail is composed of the activities identify design mechanisms, identify design elements, incorporate existing design elements, describe run-time architecture, and describe distribution, all performed by the architect,  and review the architecture, performed by the architecture reviewer.</span>';				
				ID42587D='<span class=\"mov_desc\">This workflow detail is composed of the activities use-case analysis, performed by the designer, identify design elements, performed by the architect, and review the design, performed by the design reviewer. The purpose of this workflow detail is to transform the behavioral descriptions provided by the use cases into a set of elements on which the design can be based.</span>';				
				ID42591D='';				
				ID42595D='';				
				ID42598D='<span class=\"mov_desc\">This is an optional workflow detail, invoked when the system involves a large amount of data in a database.Design the database is composed of the activities database design, performed by the database designer, class design, performed by the designer, and review the design, performed by the design reviewer.</span>';				
				ID42603D='<span class=\"mov_desc\">This workflow detail applies to designs that will use the capsule artifact as a primary design element, within the context of a real-time or reactive system.Design real-time components has a purpose similar to design components, but includes the activity capsule design to define the concurrent threads of control in the system (i.e.,capsules) and the protocolsbetween them.</span>';				
				ID42606D='<span class=\"mov_desc\">This workflow detail is composed of the activities use-case design, class design, and subsystem design, performed by the designer, and review the design, performed by the design reviewer.</span>';				
				ID42611D='';				
				ID42618D='';				
				ID63514D='';				
				ID63825D='';				
				ID63829D='';				
				ID63522D='';				
				ID63815D='';				
				ID63819D='';				
				ID63835D='';				
				
			
function readCM()
{
			ID42563CM = new instCM("Start");
ID42566CM = new instCM("Define a candidate architecture");
ID42566CM.addAttribute("Responsible", "obj");
ID42566CM.addLink("Responsible", "javascript:openWindow(\"ID42867\", \"ID42901\");", "Architect", "small_role.png");
ID42566CM.addAttribute("Accountable", "obj");
ID42566CM.addLink("Accountable", "javascript:openWindow(\"ID42867\", \"ID42901\");", "Architect", "small_role.png");
ID42566CM.addAttribute("Consulted", "obj");
ID42566CM.addLink("Consulted", "javascript:openWindow(\"ID42867\", \"ID42904\");", "Designer", "small_role.png");
ID42566CM.addAttribute("Input data", "obj");
ID42566CM.addLink("Input data", "javascript:openWindow(\"ID63109\", \"ID63846\");", "Architecture requirements", "small_date.png");
ID42569CM = new instCM("Early architecture elaboration?");
ID42578CM = new instCM("P1");
ID42583CM = new instCM("Refine Architecture");
ID42583CM.addAttribute("Responsible", "obj");
ID42583CM.addLink("Responsible", "javascript:openWindow(\"ID42867\", \"ID42901\");", "Architect", "small_role.png");
ID42583CM.addAttribute("Accountable", "obj");
ID42583CM.addLink("Accountable", "javascript:openWindow(\"ID42867\", \"ID42901\");", "Architect", "small_role.png");
ID42587CM = new instCM("Analyse Behaviour");
ID42587CM.addAttribute("Responsible", "obj");
ID42587CM.addLink("Responsible", "javascript:openWindow(\"ID42867\", \"ID42904\");", "Designer", "small_role.png");
ID42587CM.addAttribute("Accountable", "obj");
ID42587CM.addLink("Accountable", "javascript:openWindow(\"ID42867\", \"ID42904\");", "Designer", "small_role.png");
ID42587CM.addAttribute("Consulted", "obj");
ID42587CM.addLink("Consulted", "javascript:openWindow(\"ID42867\", \"ID42901\");", "Architect", "small_role.png");
ID42591CM = new instCM("P2");
ID42595CM = new instCM("Real time system?");
ID42598CM = new instCM("Design database");
ID42598CM.addAttribute("Responsible", "obj");
ID42598CM.addLink("Responsible", "javascript:openWindow(\"ID42867\", \"ID42910\");", "Database Designer", "small_role.png");
ID42598CM.addAttribute("Accountable", "obj");
ID42598CM.addLink("Accountable", "javascript:openWindow(\"ID42867\", \"ID42904\");", "Designer", "small_role.png");
ID42598CM.addAttribute("Consulted", "obj");
ID42598CM.addLink("Consulted", "javascript:openWindow(\"ID42867\", \"ID42904\");", "Designer", "small_role.png");
ID42603CM = new instCM("Desgin real time components");
ID42603CM.addAttribute("Responsible", "obj");
ID42603CM.addLink("Responsible", "javascript:openWindow(\"ID42867\", \"ID42904\");", "Designer", "small_role.png");
ID42603CM.addAttribute("Accountable", "obj");
ID42603CM.addLink("Accountable", "javascript:openWindow(\"ID42867\", \"ID42904\");", "Designer", "small_role.png");
ID42606CM = new instCM("Design components");
ID42606CM.addAttribute("Responsible", "obj");
ID42606CM.addLink("Responsible", "javascript:openWindow(\"ID42867\", \"ID42904\");", "Designer", "small_role.png");
ID42606CM.addAttribute("Accountable", "obj");
ID42606CM.addLink("Accountable", "javascript:openWindow(\"ID42867\", \"ID42904\");", "Designer", "small_role.png");
ID42611CM = new instCM("M1");
ID42618CM = new instCM("End Analysis and Design");
ID42618CM.addAttribute("Following Process", "mod");
ID42618CM.addLink("Following Process", "../ID42668/ID42668.html", "Implementation", "mt_itsp.gif");
ID42961CM = new instCM("Architect");
ID42961CM.addAttribute("Reference", "obj");
ID42961CM.addLink("Reference", "javascript:openWindow(\"ID42867\", \"ID42901\");", "Architect", "small_role.png");
ID42980CM = new instCM("Designer");
ID42980CM.addAttribute("Reference", "obj");
ID42980CM.addLink("Reference", "javascript:openWindow(\"ID42867\", \"ID42904\");", "Designer", "small_role.png");
ID42985CM = new instCM("Database Designer");
ID42985CM.addAttribute("Reference", "obj");
ID42985CM.addLink("Reference", "javascript:openWindow(\"ID42867\", \"ID42910\");", "Database Designer", "small_role.png");
ID63514CM = new instCM("AaD - RM DoSaF I1");
ID63514CM.addAttribute("Referenced subprocess", "mod");
ID63514CM.addLink("Referenced subprocess", "../ID62188/ID62188.html", "Definition of Scope and Framework - Application Development", "mt_itsp.gif");
ID63514CM.addAttribute("Referenced Interface Process", "obj");
ID63514CM.addLink("Referenced Interface Process", "javascript:openWindow(\"ID62188\", \"ID63540\");", "DoSaF - App Dev AaD I1", "small_ipro.png");
ID63825CM = new instCM("AaD - RM RA I1");
ID63825CM.addAttribute("Referenced subprocess", "mod");
ID63825CM.addLink("Referenced subprocess", "../ID62390/ID62390.html", "Risk Acceptance - Application Development", "mt_itsp.gif");
ID63825CM.addAttribute("Referenced Interface Process", "obj");
ID63825CM.addLink("Referenced Interface Process", "javascript:openWindow(\"ID62390\", \"ID63854\");", "RA - App Dev AaD I1", "small_ipro.png");
ID63829CM = new instCM("AaD - RM RT I1");
ID63829CM.addAttribute("Referenced subprocess", "mod");
ID63829CM.addLink("Referenced subprocess", "../ID62307/ID62307.html", "Risk Treatment - Application Development", "mt_itsp.gif");
ID63829CM.addAttribute("Referenced Interface Process", "obj");
ID63829CM.addLink("Referenced Interface Process", "javascript:openWindow(\"ID62307\", \"ID63859\");", "RT - App Dev AaD I1", "small_ipro.png");
ID63522CM = new instCM("AaD1");
ID63522CM.addAttribute("Data", "obj");
ID63522CM.addLink("Data", "javascript:openWindow(\"ID63109\", \"ID63526\");", "Architecture desc.", "small_date.png");
ID63815CM = new instCM("AaD2");
ID63815CM.addAttribute("Data", "obj");
ID63815CM.addLink("Data", "javascript:openWindow(\"ID17209\", \"ID17328\");", "D28 Risk treatment decision", "small_date.png");
ID63819CM = new instCM("AaD3");
ID63819CM.addAttribute("Data", "obj");
ID63819CM.addLink("Data", "javascript:openWindow(\"ID17209\", \"ID17358\");", "D77 Approved Activity Lists", "small_date.png");
ID63835CM = new instCM("Define a candidate architecture DP");
ID42572CM = new instCM("");
ID42573CM = new instCM("");
ID42582CM = new instCM("");
ID42586CM = new instCM("");
ID42590CM = new instCM("");
ID42594CM = new instCM("");
ID42601CM = new instCM("");
ID42602CM = new instCM("");
ID42609CM = new instCM("");
ID42610CM = new instCM("");
ID42614CM = new instCM("");
ID42615CM = new instCM("");
ID42616CM = new instCM("");
ID42617CM = new instCM("");
ID42621CM = new instCM("");
ID42624CM = new instCM("");
ID42969CM = new instCM("");
ID42973CM = new instCM("");
ID42976CM = new instCM("");
ID42977CM = new instCM("");
ID42978CM = new instCM("");
ID42983CM = new instCM("");
ID42984CM = new instCM("");
ID42988CM = new instCM("");
ID42989CM = new instCM("");
ID42990CM = new instCM("");
ID42991CM = new instCM("");
ID42992CM = new instCM("");
ID42993CM = new instCM("");
ID63517CM = new instCM("");
ID63525CM = new instCM("");
ID63538CM = new instCM("");
ID63539CM = new instCM("");
ID63818CM = new instCM("");
ID63822CM = new instCM("");
ID63823CM = new instCM("");
ID63824CM = new instCM("");
ID63828CM = new instCM("");
ID63832CM = new instCM("");
ID63833CM = new instCM("");
ID63834CM = new instCM("");
ID63838CM = new instCM("");
ID63839CM = new instCM("");
}
		